Chris
Cheney
ccheney@debian.org
07 marzo 2003
dcop
1

# `dcop`

Client &DCOP; da riga di comando

    dcop --pipe --user  utente --all-users --session  sessione --all-sessions --list-sessions --no-user-time  applicazione  oggetto  funzione argomenti

## Descrizione

Client &DCOP; da riga di comando

## Opzioni

`--pipe`

  Chiama &DCOP; per ogni riga letta dal stdin.

  Ciò è approssimativamente equivalente alla chiamata `while read line ; do dcop $line ; done` ma visto che non viene lanciata, per ogni riga, una nuova istanze di `dcop` il processo è generalmente più rapido, specialmente per i linker dinamici GNU che sono più lenti.

`--user` utente

  Connette al &DCOP; server dell'utente specificato. Questa opzione ignora i valori delle variabili ambiente $`DCOPSERVER` e $`ICEAUTHORITY`, nel caso siano state impostate.

  Se l'utente ha più di una sessione aperta, devi anche usare una delle sguenti opzioni da riga di comando: `--list-sessions`, `--session` oppure `--all-sessions`.

`--all-users`

  Invia la stessa chiamata &DCOP; a tutti gli utenti che hanno in esecuzione un server &DCOP;. Solo le chiamate non riuscite ai server &DCOP; esistenti produrranno un messaggio di errore. Se non ci sono server &DCOP; disponibili, non verrà generato alcun errore.

`--session` sessione

  Invia alla sessione &kde; specificata. Questa opzione può essere usata solo in combinazione con l'opzione `--user`.

`--all-sessions`

  Invia a tutte le sessioni trovate. Funziona solo con le opzioni `--user` e `--all-users`.

`--list-sessions`

  Elenca tutte le sessioni di &kde; attive per un utente o per tutti gli utenti.

`--no-user-time`

  Non aggiorna il timestamp di attività dell'utente nell'applicazione chiamata (destinato all'uso negli script che sono eseguiti in background).

## Variabili ambiente

`DCOPSERVER`

`ICEAUTHORITY`

## Vedi anche

dcopclient(1) dcopref(1) dcopfind(1) kdcop(1)

All'interno di &kde; puoi digitare `help:/kdcop` all'interno di &konqueror; per vedere il manuale di kdcop, lo strumento grafico di dcop.